classification
Title: Update packaging documentation
Type: Stage: resolved
Components: Distutils2, Documentation Versions: Python 3.4
process
Status: closed Resolution: wont fix
Dependencies: 14940 Superseder:
Assigned To: eric.araujo Nosy List: Nebelhom, alexis, cvrebert, docs@python, eric.araujo, ezio.melotti, georg.brandl, icordasc, larry, paul.moore, sandro.tosi, tshepang
Priority: release blocker Keywords:

Created on 2011-08-18 16:49 by eric.araujo, last changed 2013-02-04 16:20 by eric.araujo. This issue is now closed.

Messages (9)
msg142367 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2011-08-18 16:49
The documentation for packaging is outdated: it refers to setup.py instead of setup.cfg or pysetup, it talks about removed parts like compress (.Z) archives or bdist_rpm, and needs a good read-through.  I have started to work on this, so I’m opening this report to prevent someone else from duplicating efforts.
msg142368 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2011-08-18 16:50
(Replying to myself so that this report doesn’t show up in the “Issues without reply” section of the weekly email)
msg143551 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2011-09-05 16:40
To make commit review possible, I thought I’d make two patches for this: the first would be only markup fixes and minimal updates to match the reality of the code (i.e. convert setup.py examples to setup.cfg or pysetup, remove obsolete parts, etc.) and a second one with more rephrasing and reorganization (i.e. file deletions, moving chunks of docs, etc.).  I’m not finished on the first patch and the diff already contains 1026 insertions and 921 deletions.

So, as potential commit reviewers, do you think I should
- 1) go ahead with my initial plan of a huge boring commit and a more interesting commit
- 2) just make one commit
- 3) one commit per file (with boring markup changes + non-boring changes)
msg143687 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2011-09-07 14:57
1) sounds good;
2) would be fine too if it makes your life easier;
3) doesn't seem too useful.
msg147873 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2011-11-18 14:19
I worked on this a bit more and the current boring diff has more than 1000 deleted lines and more than 1000 added lines.  After thinking about it, maybe I should not make a mega-patch with markup/boring changes first but rather fix markup as part of more consistent wording and reorganization changes.  The series of changesets could look like this:

- Update and improve Doc/install (the end-user guide, a few files)
- Update and improve the commands reference in Doc/packaging
- Improve introduction material in Doc/packaging
- Fix X in Doc/library/packaging.foo
- Add missing doc for packaging.spam in Doc/library
- etc.

I think that will make more sense to review.
msg148196 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2011-11-23 17:20
Making this a release blocker for d2 1.0a4.
msg161888 - (view) Author: Alexis Metaireau (alexis) * (Python triager) Date: 2012-05-29 14:26
I think it could be helpful to have this work at least somewhere so we can work on top of it. For instance if someone wants to do changes in the documentation, then only thing it would do now would be to cause potential merge conflicts.

I'm okay to have several commits for this, as it would allow us to work on the documentation with more than one person (theoretically at least).

Plus I really want to see those changes!
msg163211 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2012-06-19 20:15
Ping.  Does this block 3.3?
msg181344 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2013-02-04 16:20
Packaging is removed from the stdlib and distutils2 is evolving into decoupled libs/tools.  Closing this effort :(
History
Date User Action Args
2013-02-04 16:20:26eric.araujosetstatus: open -> closed
resolution: wont fix
messages: + msg181344

stage: resolved
2013-02-04 16:03:40icordascsetnosy: + larry, icordasc
2012-06-21 03:10:19eric.araujosetversions: + Python 3.4, - Python 3.3
2012-06-19 20:15:14georg.brandlsetnosy: + georg.brandl
messages: + msg163211
2012-05-29 16:11:10cvrebertsetnosy: + cvrebert
2012-05-29 14:26:46alexissetmessages: + msg161888
2012-05-29 14:08:57eric.araujosetdependencies: + Usage documentation for pysetup
2012-03-12 22:53:54eric.araujolinkissue14271 superseder
2012-01-11 12:29:46tshepangsetnosy: + tshepang
2011-11-23 17:20:24eric.araujosetpriority: normal -> release blocker

messages: + msg148196
2011-11-19 19:07:46Nebelhomsetnosy: + Nebelhom
2011-11-18 14:19:20eric.araujosetmessages: + msg147873
2011-10-09 11:25:14paul.mooresetnosy: + paul.moore
2011-09-07 14:57:27ezio.melottisetmessages: + msg143687
2011-09-05 16:40:17eric.araujosetnosy: + ezio.melotti, sandro.tosi
messages: + msg143551
2011-08-18 16:50:17eric.araujosetnosy: + docs@python
messages: + msg142368
2011-08-18 16:49:28eric.araujocreate